Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.internal
Class NonNullableTransientDependencies

    java.lang.Object
      org.hibernate.engine.internal.NonNullableTransientDependencies

    public class NonNullableTransientDependencies

extends Object

Tracks non-nullable transient entities that would cause a particular entity insert to fail.

Constructor Summary
`NonNullableTransientDependencies()`

Method Summary
`Iterable<Object>` | `getNonNullableTransientEntities()`
`Iterable<String>` | `getNonNullableTransientPropertyPaths(Object entity)`
`boolean` | `isEmpty()`
`void` | `resolveNonNullableTransientEntity(Object entity)`
`String` | `toLoggableString(SessionImplementor session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonNullableTransientDependencies

    public NonNullableTransientDependencies()

Method Detail

### getNonNullableTransientEntities

    public Iterable<Object> getNonNullableTransientEntities()

### getNonNullableTransientPropertyPaths

    public Iterable<String> getNonNullableTransientPropertyPaths(Object entity)

### isEmpty

    public boolean isEmpty()

### resolveNonNullableTransientEntity

    public void resolveNonNullableTransientEntity(Object entity)

### toLoggableString

    public String toLoggableString(SessionImplementor session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.